rte_flow_driver.h(3)

NAME
rte_flow_driver.h

SYNOPSIS

#include <stdint.h>
#include 'rte_ethdev.h'
#include 'ethdev_driver.h'
#include 'rte_flow.h'

  Data Structures

struct rte_flow_ops

  Functions

const struct rte_flow_ops * rte_flow_ops_get (uint16_t port_id, struct rte_flow_error *error)
int rte_flow_restore_info_dynflag_register (void)

Detailed Description

RTE generic flow API (driver side)

This file provides implementation helpers for internal use by PMDs, they are not intended to be exposed to applications and are not subject to ABI versioning.

Definition in file rte_flow_driver.h.

Function Documentation

  const struct rte_flow_ops * rte_flow_ops_get (uint16_t port_id, struct rte_flow_error * error)
Get generic flow operations structure from a port.

Parameters
    port_id Port identifier to query.
    error Pointer to flow error structure.

Returns
    The flow operations structure associated with port_id, NULL in case of error, in which case rte_errno is set and the error structure contains additional details.

  int rte_flow_restore_info_dynflag_register (void )
Register mbuf dynamic flag for rte_flow_get_restore_info.

Author

Generated automatically by Doxygen for DPDK from the source code.